Subject: RE: MPLS tunneled in IP

From: Brijesh Kumar <[email-masked]>
Date: Wed, 26 Sep 2001 11:23:12 -0700

Mary,

You are not missing any thing. It is called cyclic rediscovery.

First, it was "Foo over MPLS", now it is "MPLS over Foo". Till now, we only
have MPLS over IP and  MPLS over GRE drafts - but wait till more drafts
appear extolling the virtues and need of remaining possibilities- MPLS over
L2TP, MPLS over PPP, MPLS over IPSEC etc... ;-).

There is no benefit of using these intermediate measures. As a matter of
fact, such tunneling is adding unwanted layering as, in most cases, you
would be  better off using the underlying tunneling mechanism minus MPLS
shim header. I don't see why any carrier should deploy MPLS until their
network is fully ready without using these stop-gap measures. The life span
and real utility of these drafts is very limited.

Cheers,

--brijesh
(corona Networks Inc.

> -----Original Message-----
> From: Mareline Sheldon [mailto:[email-masked]]
> Sent: Monday, September 24, 2001 8:50 PM
> To: [email-masked]; [email-masked]
> Cc: Henry Bibb; [email-masked]'
> Subject: Re: MPLS tunneled in IP
> 
> 
> > > Hi,
> > >    What is the application of tunneling mpls over ip ? Since LSP's
> cannot be
> > > established through a non-mpls domain and the egress lsr's anyway
> perform
> > > the transformation from mpls->ip .
> > > Kamesh.
> >
> > But with MPLS over IP (or over GRE) LSPs *can* be 
> established through a
> > non-mpls domain.  Use targetted LDP sessions ("extended 
> discovery") or
> > BGP to exchange labels and then tunnel MPLS packets in IP 
> or GRE to get
> > them from one device to the other...
> 
> This much is okay .. but if you are using IP then how do you 
> ensure that
> your TE specifications are met .. and if this is not ensured 
> then the very
> use of MPLS is challenged !
> am i missing something ?
> 
> Mary
> 
> 
> 
> _________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.com address at http://mail.yahoo.com
>

---

From: Eric Rosen <[email-masked]>
Date: Wed, 26 Sep 2001 15:54:15 -0400

Brijesh> Till now, we only have MPLS over  IP and MPLS over GRE drafts - but
Brijesh> wait  till more  drafts appear  extolling the  virtues and  need of
Brijesh> remaining possibilities-  MPLS over L2TP, MPLS over  PPP, MPLS over
Brijesh> IPSEC etc... ;-).

You're certainly out of touch ;-)

For MPLS over PPP, see section 4 of RFC 3032. 

For MPLS over IPsec, see draft-ietf-ppvpn-ipsec-2547-00.txt. 

Brijesh> As a matter of fact, such tunneling is adding unwanted layering as,
Brijesh> in  most  cases, you  would  be  better  off using  the  underlying
Brijesh> tunneling mechanism minus MPLS shim header.

Right, if  you don't  have an  MPLS capable backbone,  don't try  to support
MPLS-based services by  carrying MPLS in IP; instead just  omit the shim and
use IP's  underlying tunneling mechanisms  instead.  It's obvious how  to do
that, and after all it's just a small matter of programming ;-)